Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util
Class ParametrizableFacesMessage

    java.lang.Object
      javax.faces.application.FacesMessage
          org.apache.myfaces.shared_orchestra.util.ParametrizableFacesMessage

All Implemented Interfaces:
  Serializable

    public class ParametrizableFacesMessage

extends javax.faces.application.FacesMessage

This class encapsulates a FacesMessage to evaluate the label expression on render response, where f:loadBundle is available

Version:
  $Revision: 676298 $ $Date: 2008-07-13 05:31:48 -0500 (Dom, 13 Jul 2008) $
Author:
  Leonardo Uribe (latest modification by $Author: skitching $)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.faces.application.FacesMessage
`javax.faces.application.FacesMessage.Severity`

Field Summary

Fields inherited from class javax.faces.application.FacesMessage
`FACES_MESSAGES, SEVERITY_ERROR, SEVERITY_FATAL, SEVERITY_INFO, SEVERITY_WARN, VALUES, VALUES_MAP`

Constructor Summary
`ParametrizableFacesMessage(javax.faces.application.FacesMessage.Severity severity, String summary, String detail, Object[] args, Locale locale)`
`ParametrizableFacesMessage(String summary, String detail, Object[] args, Locale locale)`

Method Summary
`String` | `getDetail()`
`String` | `getSummary()`
`String` | `getUnformattedDetail()`
`String` | `getUnformattedSummary()`
`void` | `setDetail(String detail)`
`void` | `setSummary(String summary)`

Methods inherited from class javax.faces.application.FacesMessage
`getSeverity, isRendered, rendered, setSeverity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametrizableFacesMessage

    public ParametrizableFacesMessage(String summary,
                                      String detail,
                                      Object[] args,
                                      Locale locale)

### ParametrizableFacesMessage

    public ParametrizableFacesMessage(javax.faces.application.FacesMessage.Severity severity,
                                      String summary,
                                      String detail,
                                      Object[] args,
                                      Locale locale)

Method Detail

### getDetail

    public String getDetail()

  Overrides:
    `getDetail` in class `javax.faces.application.FacesMessage`

### setDetail

    public void setDetail(String detail)

  Overrides:
    `setDetail` in class `javax.faces.application.FacesMessage`

### getUnformattedDetail

    public String getUnformattedDetail()

### getSummary

    public String getSummary()

  Overrides:
    `getSummary` in class `javax.faces.application.FacesMessage`

### setSummary

    public void setSummary(String summary)

  Overrides:
    `setSummary` in class `javax.faces.application.FacesMessage`

### getUnformattedSummary

    public String getUnformattedSummary()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.